Loading...
Searching...
No Matches
types-fwd.hpp File Reference

## Description

Declares entities used to represent BSON types.

Deprecated
  Use bsoncxx/types/id-fwd.hpp or bsoncxx/types/view-fwd.hpp instead.

Includes
  - bsoncxx/v1/types/view-fwd.hpp

Go to the source code of this file.

## Classes

struct | bsoncxx::types::b_array
| A BSON array value. More...
struct | bsoncxx::types::b_binary
| A BSON binary data value. More...
struct | bsoncxx::types::b_bool
| A BSON boolean value. More...
struct | bsoncxx::types::b_code
| A BSON JavaScript code value. More...
struct | bsoncxx::types::b_codewscope
| A BSON JavaScript code with scope value. More...
struct | bsoncxx::types::b_date
| A BSON date value. More...
struct | bsoncxx::types::b_dbpointer
| A BSON DBPointer (aka DBRef) value. More...
struct | bsoncxx::types::b_decimal128
| A BSON Decimal128 value. More...
struct | bsoncxx::types::b_document
| A BSON document value. More...
struct | bsoncxx::types::b_double
| A BSON double value. More...
struct | bsoncxx::types::b_int32
| A BSON signed 32-bit integer value. More...
struct | bsoncxx::types::b_int64
| A BSON 64-bit signed integer value. More...
struct | bsoncxx::types::b_maxkey
| A BSON max-key value. More...
struct | bsoncxx::types::b_minkey
| A BSON min-key value. More...
struct | bsoncxx::types::b_null
| A BSON null value. More...
struct | bsoncxx::types::b_oid
| A BSON ObjectId value. More...
struct | bsoncxx::types::b_regex
| A BSON regex value. More...
struct | bsoncxx::types::b_string
| A BSON UTF-8 encoded string value. More...
struct | bsoncxx::types::b_symbol
| A BSON Symbol value. More...
struct | bsoncxx::types::b_timestamp
| A BSON replication timestamp value. More...
struct | bsoncxx::types::b_undefined
| A BSON undefined value. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::types
| Declares entities representing BSON value types.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::types
| Declares entities representing BSON value types.

## Typedefs

using | bsoncxx::types::binary_subtype
| Equivalent to bsoncxx::v_noabi::binary_sub_type.
using | bsoncxx::v_noabi::types::binary_subtype = v_noabi::binary_sub_type
| Equivalent to bsoncxx::v_noabi::binary_sub_type.
using | bsoncxx::types::id
| Equivalent to bsoncxx::v_noabi::type.
using | bsoncxx::v_noabi::types::id = v_noabi::type
| Equivalent to bsoncxx::v_noabi::type.

## Enumerations

enum class | bsoncxx::binary_sub_type
| An enumeration of each BSON binary sub type. More...
enum class | bsoncxx::type
| An enumeration of each BSON type. More...